#!/usr/bin/gnuplot
unset key
set title 'Fourier'
#set yrange [0:90]
#set xrange [0.01:0.5]
#set xtics 45
#set ytics 10
set grid
set rmargin 10
set lmargin 10

set terminal png size 800, 600

set xlabel 'Time'
set ylabel 'ASM count rate (cts/s)'
set title "Measurements"
set output "Original_lmcx4.png"
plot "lmcx4.dat" using 1:2 with points

set xlabel 'Phase'
set ylabel 'ASM count rate (cts/s)'
set title "Measurements in Phase"
set output "Original_lmcx4_in_phase.png"
plot "lmcx4_in_phase.dat" using 1:2 with points

set title "Measurements in Phase and function"
set output "Original_lmcx4_in_phase_and_function.png"
plot "lmcx4_in_phase.dat" using 1:2 with points, 0.49633 + 0.35254 * cos((((2*3.1416) / 1.07157) * x) + -0.54003) with line lw 2



#set xrange [0:0.5]

set xlabel 'Frequency'
set ylabel 'Magnitude'
set title "DFT with FFTW3 library"
set output "Original_fftw3_DFT.png"
plot "fftw3_DFT.dat" using 1:2 with lines

set title "Lomb periodogram with NR3 code"
set output "Original_nr3_lomb_periodogram.png"
set ylabel 'Lomb periodogram'
plot "nr3_lomb_periodogram.dat" using 1:2 with line
set ylabel 'Magnitude'

set xrange [0:5.30]
set title "Plain DFT Square: Dirty spectrum"
set output "Original_PlainDFT_square_square_dirtySpec.png"
plot "PlainDFT_square_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Square Window"
set output "Original_PlainDFT_square_WFT.png"
plot "PlainDFT_square_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Square window"
set output "Original_PlainDFT_square_WFT_dirtySpec.png"
plot "PlainDFT_square_dirtySpec.dat" using 1:2 with line, "PlainDFT_square_WFT.dat" using 1:2 with line

set title "Plain DFT Square: Clean DFT"
set output "Original_PlainDFT_square_clean.png"
plot "PlainDFT_square_clean.dat" using 1:2 with lines

set title "Plain DFT Bartlett: Dirty spectrum"
set output "Original_PlainDFT_bartlett_dirtySpec.png"
plot "PlainDFT_bartlett_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Bartlett Window"
set output "Original_PlainDFT_bartlett_WFT.png"
plot "PlainDFT_bartlett_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Bartlett window"
set output "Original_PlainDFT_bartlett_WFT_dirtySpec.png"
plot "PlainDFT_bartlett_dirtySpec.dat" using 1:2 with line, "PlainDFT_bartlett_WFT.dat" using 1:2 with line

set title "Plain DFT Barlett: Clean DFT"
set output "Original_PlainDFT_barlett_clean.png"
plot "PlainDFT_barlett_clean.dat" using 1:2 with lines

set title "Plain DFT Welch: Dirty spectrum"
set output "Original_PlainDFT_welch_dirtySpec.png"
plot "PlainDFT_welch_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Welch Window"
set output "Original_PlainDFT_welch_WFT.png"
plot "PlainDFT_welch_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Welch window"
set output "Original_PlainDFT_welch_WFT_dirtySpec.png"
plot "PlainDFT_welch_dirtySpec.dat" using 1:2 with line, "PlainDFT_welch_WFT.dat" using 1:2 with line

set title "Plain DFT Welch: Clean DFT"
set output "Original_PlainDFT_welch_clean.png"
plot "PlainDFT_welch_clean.dat" using 1:2 with lines

set title "Plain DFT Hann: Dirty spectrum"
set output "Original_PlainDFT_hann_dirtySpec.png"
plot "PlainDFT_hann_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Hann Window"
set output "Original_PlainDFT_hann_WFT.png"
plot "PlainDFT_hann_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Hann window"
set output "Original_PlainDFT_hann_WFT_dirtySpec.png"
plot "PlainDFT_hann_dirtySpec.dat" using 1:2 with line, "PlainDFT_hann_WFT.dat" using 1:2 with line

set title "Plain DFT Hann: Clean DFT"
set output "Original_PlainDFT_hann_clean.png"
plot "PlainDFT_hann_clean.dat" using 1:2 with lines



#### Small range (sr)
set xrange [0:0.5]

set xlabel 'Frequency'
set ylabel 'Magnitude'
set title "DFT with FFTW3 library"
set output "Zoom_fftw3_DFT.png"
plot "fftw3_DFT.dat" using 1:2 with lines

set title "Lomb periodogram with NR3 code"
set output "Zoom_nr3_lomb_periodogram.png"
set ylabel 'Lomb periodogram'
plot "nr3_lomb_periodogram.dat" using 1:2 with line
set ylabel 'Magnitude'

#set xrange [0:0.45]
set title "Plain DFT Square: Dirty spectrum"
set output "Zoom_PlainDFT_square_square_dirtySpec.png"
plot "PlainDFT_square_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Square Window"
set output "Zoom_PlainDFT_square_WFT.png"
plot "PlainDFT_square_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Square window"
set output "Zoom_PlainDFT_square_WFT_dirtySpec.png"
plot "PlainDFT_square_dirtySpec.dat" using 1:2 with line, "PlainDFT_square_WFT.dat" using 1:2 with line

set title "Plain DFT Square: Clean DFT"
set output "Zoom_PlainDFT_square_clean.png"
plot "PlainDFT_square_clean.dat" using 1:2 with lines

set title "Plain DFT Bartlett: Dirty spectrum"
set output "Zoom_PlainDFT_bartlett_dirtySpec.png"
plot "PlainDFT_bartlett_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Bartlett Window"
set output "Zoom_PlainDFT_bartlett_WFT.png"
plot "PlainDFT_bartlett_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Bartlett window"
set output "Zoom_PlainDFT_bartlett_WFT_dirtySpec.png"
plot "PlainDFT_bartlett_dirtySpec.dat" using 1:2 with line, "PlainDFT_bartlett_WFT.dat" using 1:2 with line

set title "Plain DFT Barlett: Clean DFT"
set output "Zoom_PlainDFT_barlett_clean.png"
plot "PlainDFT_barlett_clean.dat" using 1:2 with lines

set title "Plain DFT Welch: Dirty spectrum"
set output "Zoom_PlainDFT_welch_dirtySpec.png"
plot "PlainDFT_welch_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Welch Window"
set output "Zoom_PlainDFT_welch_WFT.png"
plot "PlainDFT_welch_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Welch window"
set output "Zoom_PlainDFT_welch_WFT_dirtySpec.png"
plot "PlainDFT_welch_dirtySpec.dat" using 1:2 with line, "PlainDFT_welch_WFT.dat" using 1:2 with line

set title "Plain DFT Welch: Clean DFT"
set output "Zoom_PlainDFT_welch_clean.png"
plot "PlainDFT_welch_clean.dat" using 1:2 with lines

set title "Plain DFT Hann: Dirty spectrum"
set output "Zoom_PlainDFT_hann_dirtySpec.png"
plot "PlainDFT_hann_dirtySpec.dat" using 1:2 with line
set title "Plain DFT: Hann Window"
set output "Zoom_PlainDFT_hann_WFT.png"
plot "PlainDFT_hann_WFT.dat" using 1:2 with line

set title "Plain DFT: Dirty spectrum and Hann window"
set output "Zoom_PlainDFT_hann_WFT_dirtySpec.png"
plot "PlainDFT_hann_dirtySpec.dat" using 1:2 with line, "PlainDFT_hann_WFT.dat" using 1:2 with line

set title "Plain DFT Hann: Clean DFT"
set output "Zoom_PlainDFT_hann_clean.png"
plot "PlainDFT_hann_clean.dat" using 1:2 with lines

