#ifndef SUPPORT_H_INCLUDED
#define SUPPORT_H_INCLUDED

#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <iomanip>
#include <vector>


// Split a string into a vector
vector<string> &split(const string &s, char delim, vector<string> &elems) {
    stringstream ss(s);
    string item;
    while(getline(ss, item, delim)) {
        elems.push_back(item);
    }
    return elems;
}

vector<string> split(const string &s, char delim) {
    vector<string> elems;
    return split(s, delim, elems);
}

// Remove blank elements
vector<string> clean(vector<string> &v) {
    vector<string> clean_v;

    for(int i=0; i < v.size(); i++) {
        if (v[i].compare("") != 0) {
            clean_v.push_back(v[i]);
        }
    }
    return clean_v;
}

// Convert string into an integer
int toInteger(string str) {
    int i = 0;
    istringstream myStream(str);

    if (myStream>>i) {
        return i;
    } else {
        return 0;
    }
}

// Convert string into an integer
double toFloat(string str) {
    double f = 0;
    istringstream myStream(str);

    if (myStream >> f) {
        return f;
    } else {
        return 0;
    }
}

#endif // SUPPORT_H_INCLUDED
